PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP TRIGGER

## Name

DROP TRIGGER -- Removes the definition of a trigger

## Synopsis

    DROP TRIGGER name ON table

### Inputs

`name`

  The name of an existing trigger.

`table`

  The name of a table.

### Outputs

`DROP`

  The message returned if the trigger is successfully dropped.

`ERROR: DropTrigger: there is no trigger `name` on relation "`table`"`

  This message occurs if the trigger specified does not exist.

## Description

DROP TRIGGER will remove all references to an existing trigger definition. To execute this command the current user must be the owner of the trigger.

### Notes

DROP TRIGGER is a Postgres language extension.

Refer to CREATE TRIGGER for information on how to create triggers.

## Usage

Destroy the `if_dist_exists` trigger on table `films`:

    DROP TRIGGER if_dist_exists ON films;

## Compatibility

### SQL92

There is no DROP TRIGGER statement in SQL92.

Prev | Home | Next
DROP TABLE | Up | DROP TYPE